Package com.treemap.swing.table

# Class SwingTable<R,C,V>

java.lang.Object
com.macrofocus.table.AbstractTable<JComponent,Color,Format,R,C,V>
com.treemap.swing.table.SwingTable<R,C,V>

All Implemented Interfaces:
  `com.macrofocus.crossplatform.CPComponent<JComponent>`, `com.macrofocus.table.Table<JComponent,Color,Format,R,C,V>`

public class SwingTable<R,C,V> extends com.macrofocus.table.AbstractTable<JComponent,Color,Format,R,C,V>

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `class`
  `SwingTable.FormattedRenderer<C>`
  `class`
  `SwingTable.RollOverTable`

  ## Nested classes/interfaces inherited from interface com.macrofocus.table.Table

  `com.macrofocus.table.Table.CellEditor<Component,R,C,V>, com.macrofocus.table.Table.CellRenderer<Component,R,C,V>, com.macrofocus.table.Table.ColumnResizePolicy, com.macrofocus.table.Table.InteractionMode, com.macrofocus.table.Table.PropertyType, com.macrofocus.table.Table.Style`

- ## Field Summary

  ### Fields inherited from class com.macrofocus.table.AbstractTable

  `properties`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SwingTable()`
  `SwingTable(com.macrofocus.molap.dataframe.DataFrame<R,C,V> dataFrame, com.macrofocus.visual.Visual<Color,R,C> visual)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `adjustColumns(boolean columnHeaderIncluded, boolean dynamicAdjustment)`
  `JTable`
  `getJTable()`
  `JScrollPane`
  `getNativeComponent()`
  `void`
  `setCellEditor(C column, com.macrofocus.table.Table.CellEditor<JComponent,R,C,V> editor)`
  `void`
  `setCellRenderer(C column, com.macrofocus.table.Table.CellRenderer<JComponent,R,C,V> renderer)`
  `void`
  `setColumnResizePolicy(com.macrofocus.table.Table.ColumnResizePolicy policy)`
  `void`
  `setColumnVisible(C column, boolean visible)`
  `void`
  `setEditable(boolean editable)`
  `void`
  `setFormat(C column, com.macrofocus.format.CPFormat format)`
  `void`
  `setFrozenColumnCount(int columnCount)`
  `void`
  `setLabel(C column, String label)`
  `void`
  `setModel(com.macrofocus.molap.dataframe.DataFrame<R,C,V> dataFrame, com.macrofocus.visual.Visual<Color,R,C> visual)`
  `void`
  `setPrefHeight(double height)`
  `void`
  `setSortKey(C column)`
  `void`
  `setStyleClass(String... styleClasses)`

  ### Methods inherited from class com.macrofocus.table.AbstractTable

  `getColorTheme, getInteractionMode, getLocksmith, getStyle, isSelectionMode, setColorTheme, setSelectionMode`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SwingTable

    public SwingTable()

  - ### SwingTable

    public SwingTable(com.macrofocus.molap.dataframe.DataFrame<R,C,V> dataFrame, com.macrofocus.visual.Visual<Color,R,C> visual)

- ## Method Details

  - ### setStyleClass

    public void setStyleClass(String... styleClasses)

  - ### setModel

    public void setModel(com.macrofocus.molap.dataframe.DataFrame<R,C,V> dataFrame, com.macrofocus.visual.Visual<Color,R,C> visual)

  - ### getNativeComponent

    public JScrollPane getNativeComponent()

  - ### adjustColumns

    public void adjustColumns(boolean columnHeaderIncluded, boolean dynamicAdjustment)

  - ### setSortKey

    public void setSortKey(C column)

  - ### setFormat

    public void setFormat(C column, com.macrofocus.format.CPFormat format)

  - ### setLabel

    public void setLabel(C column, String label)

  - ### setFrozenColumnCount

    public void setFrozenColumnCount(int columnCount)

  - ### setColumnResizePolicy

    public void setColumnResizePolicy(com.macrofocus.table.Table.ColumnResizePolicy policy)

  - ### setPrefHeight

    public void setPrefHeight(double height)

  - ### setCellRenderer

    public void setCellRenderer(C column, com.macrofocus.table.Table.CellRenderer<JComponent,R,C,V> renderer)

  - ### setCellEditor

    public void setCellEditor(C column, com.macrofocus.table.Table.CellEditor<JComponent,R,C,V> editor)

  - ### setEditable

    public void setEditable(boolean editable)

  - ### setColumnVisible

    public void setColumnVisible(C column, boolean visible)

  - ### getJTable

    public JTable getJTable()